#include <bits/stdc++.h>
#define ll long long
using namespace std;
int n,k,x;
void kolikoK(int a[])
{
    int br=0;
    for(int i=0;i<n-1;i++)
    {
        for(int j=i;j<n;j++)
        {
            if(abs(a[i]-a[j])>=x)br++;
        }
    }
    cout << "Niz ima ovoliko parova: " << br << endl;
    k-=br;
}
int main()
{
    ios_base::sync_with_stdio(false);

    cin >> n >> k >> x;
    int a[n];
    for(int i=0;i<n;i++)
    {
        if(i<k)a[i]=1;
        else if(i==n-1)a[i]=3;
        else a[i]=2;
    }

    int kont=1,faz=2;
    if(n!=1 && k!=0)
    {
        /*cout << "-----" << endl;
        for(int i=0;i<n;i++)
        {
            cout << a[i] << " ";
        }
        cout << endl;*/
        kolikoK(a);
        while(k--)
        {
            a[kont]+=x;
            if(kont == n-1)
            {
                /*cout << "Stigao sam do kraja" << endl;\
                cout << "-----" << endl;
                for(int i=0;i<n;i++)
                {
                    cout << a[i] << " ";
                }
                cout << endl;*/
                kont = faz;
                faz++;
                continue;
            }
            kont++;
        }
        for(int i=0;i<n;i++)
        {
            cout << a[i] << " ";
        }
    }
    else if(k==0)
    {
        for(int i=1;i<n;i++)
        {
            cout << 1 << " ";
        }
    }
    else cout << -1;
}